package jp.sourceforge.cfneo.at4ie2.api.test.impl.invoker;

import jp.sourceforge.cfneo.at4ie2.api.test.AbstractInvoker;
import jp.sourceforge.cfneo.at4ie2.api.test.Context;
import jp.sourceforge.cfneo.at4ie2.api.test.TestCase;

public class StoreInvoker extends AbstractInvoker {

	public StoreInvoker(Context context) {
		super(context);
	}

	@Override
	public void invoke(TestCase testCase) {
		this.getContext().setStoreValue(
				testCase.getTarget().getValue(), testCase.getValue());
	}

}
